Summary


Using the Joomla! autoupdate feature for extensions I came across an error that frustrated me:
"JLIB_UPDATER_ERROR_EXTENSION_OPEN_URL"
or in English:
Update: :Extension: Could not open www.example.com/myupdatefile.xml /extension.xml
This error message let me on the wrong track, thinking that the update server is somehow not accessible.
This error message was caused because of empty space / tab alignment inside the <updateservers> / <server> node, inside the extension manifest file.
I've done some research on the Internet and I found similar errors for other components.
Because it was very hard and time consuming to find the cause of this problem, I though that adding a small trim() to the core, may solve future problems for maybe not so experienced extension developers and will help increase the usage of the auto-update feature.
Opened On:
5 Dec 2012, 1:34 by Valentin Despa
Closed On:
5 Dec 2013, 14:59
Status:
Fixed in SVN/GitHub

Filed Under

  • Code Quality
  • First

Responses

Posted on 8 Dec 2012, 0:42 by Jean-Marie Simonet
https://github.com/joomla/joomla-cms/pull/592.diff

Please make a PR to joomla-platform
Posted on 11 Dec 2012, 13:04 by Valentin Despa
Thank you for your reply.

The joomla-platform seems not to include the updater.

Can you please explain what I need to do next?
Posted on 27 Mar 2013, 20:19 by Nick Savov
Moving back to Pending until we figure out what's going on.

Thanks all!
Posted on 11 Apr 2013, 16:10 by Valentin Despa
Since there is no platform anymore, this can be tested. So please go ahead and test :)
Posted on 6 Aug 2013, 11:10 by Brian Teeman
@test works for me
Posted on 5 Dec 2013, 11:07 by Hannes Papenberg

@test works for me, too. We should commit this.
Posted on 5 Dec 2013, 14:59 by Valentin Despa

Merged, thanks!
Posted on 6 Dec 2013, 1:00 by Jean-Marie Simonet

I am also fixing this now in master